Create a proxy
- Base URL
-
https://{kibana_url}
-
POST
/api/fleet/proxies
-
POST
/s/{space_id}/api/fleet/proxies
Auth
Create a new Fleet proxy.
-
Privileges
fleet-settings-all
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
A required header to protect against CSRF attacks
-
certificate
string
nullable
-
certificate_authorities
string
nullable
-
certificate_key
string
nullable
-
is_preconfigured
boolean · default: false
-
item
object
required
-
-
certificate
string
nullable
-
certificate_authorities
string
nullable
-
certificate_key
string
nullable
-
is_preconfigured
boolean · default: false
-
attributes
object
required
Thank you for your feedback.